class ChangePrePurchaseColumns < ActiveRecord::Migration
  def change
  	remove_column :pre_purchases, :quantity
  	remove_column :pre_purchases, :amount
  	remove_column :pre_purchases, :tax
  	remove_column :pre_purchases, :total

    add_column :pre_purchases, :quantity, :decimal, null: false, default: 0
    add_column :pre_purchases, :amount, :decimal, null: false, default: 0
    add_column :pre_purchases, :tax, :decimal, null: false, default: 0
    add_column :pre_purchases, :total, :decimal, null: false, default: 0
  end
end
